Page MenuHomePhabricator

eina_mono: replace eina_list and eina_array with IList
ClosedPublic

Authored by YOhoho on Dec 17 2019, 11:11 PM.

Details

Summary

Eina.List<T> => System.Collections.Generic.IList<T>
Eina.Array<T> => System.Collections.Generic.IList<T>

ref T8486

Depends On D10785

Test Plan

meson build -Dbindings=mono,cxx -Dmono-beta=true

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Dec 17 2019, 11:11 PM
YOhoho requested review of this revision.Dec 17 2019, 11:11 PM
felipealmeida edited reviewers, added: felipealmeida; removed: lauromoura.Dec 21 2019, 1:56 PM
felipealmeida commandeered this revision.Dec 23 2019, 9:17 AM
felipealmeida edited reviewers, added: YOhoho; removed: felipealmeida.
felipealmeida edited the summary of this revision. (Show Details)

Merged D10902 and D10903 so we don't create a commit with a broken build which would create difficulties for using bisect.

YOhoho accepted this revision.Dec 23 2019, 11:46 AM
This revision is now accepted and ready to land.Dec 23 2019, 11:46 AM
YOhoho commandeered this revision.Jan 5 2020, 4:54 PM
YOhoho edited reviewers, added: felipealmeida; removed: YOhoho.
This revision now requires review to proceed.Jan 5 2020, 4:54 PM
Jaehyun_Cho accepted this revision.Jan 14 2020, 12:16 AM
This revision is now accepted and ready to land.Jan 14 2020, 12:16 AM
Closed by commit rEFLae30d3c57bc2: eina_mono: replace eina_list and eina_array with IList (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by Jaehyun_Cho). · Explain WhyJan 14 2020, 12:19 AM
This revision was automatically updated to reflect the committed changes.